# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test61
# FileName:      read_json.py
# Author:       dengyuan
# Datetime:     2024/7/9 10:56
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------

import json
import os


def read_json(file_path):
    if os.path.isfile(file_path) and file_path.endswith(".json"):
        try:
            with open(file_path, 'r', encoding='utf-8') as f:
                return json.loads(f.read())
        except Exception as e:
            raise e
    else:
        raise FileNotFoundError("文件路径错误")
if __name__ == '__main__':
    print(read_json('../data_config/laozhang/case_data.json'))
