# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test61
# FileName:      test_bpm.py
# Author:       dengyuan
# Datetime:     2024/7/11 18:51
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import pytest
from APIAutoTest_v3_1.common.read_excel import ReadExcel
from APIAutoTest_v3_1.test_case.test_lao_zhang.__init__ import USERNAME


class TestBPM:
    @pytest.mark.parametrize('req_method,req_url,case_mime,case_data,case_expect,sql_type, sql_data, update_key', ReadExcel(USERNAME).get_data())
    def test_bpm(self,db_fix, req_fix, req_method, req_url, case_mime, case_data, case_expect, sql_type, sql_data, update_key):
        print(req_method, req_url, case_mime, case_data, case_expect, sql_type, sql_data, update_key)
        if sql_type == "delete":
            db_fix.delete(sql_data)

        elif sql_type == 'select':
            select_res = db_fix.select(sql_data)
            print("查询的结果为：", select_res)
            print("用例数据为：", case_data)
            print("更新的key为：", update_key)

            case_data[update_key] = select_res
            print("更新之后的用例数据:", case_data)

        elif sql_type == "select|delete" or sql_type == "delete|select":
            db_fix.delete(sql_data["delete"])

            select_res = db_fix.select(sql_data["select"])
            print("查询的结果为：", select_res)
            print("用例数据为：", case_data)
            print("更新的key为：", update_key)
            case_data[update_key] = select_res
            print("更新之后的用例数据:", case_data)


        res = req_fix.request_all(req_method, req_url, case_mime, case_data)
        print("响应结果:", res.json())

        # 断言
        try:
            for key in case_expect.keys():
                assert case_expect[key] == res.json().get(key)
        except AssertionError:
            raise AssertionError("断言失败")
        else:
            print("断言成功")





