# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test61
# FileName:      __init__.py
# Author:       dengyuan
# Datetime:     2024/7/15 10:07
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import functools
import logging
import os.path
import time


def get_logs():
    logger = logging.getLogger()
    logger.setLevel(logging.DEBUG)
    log_name = time.strftime("%Y-%m-%d_%H-%M-%S", time.localtime(time.time())) + ".log"
    log_dir = os.path.join(os.path.join(os.path.dirname(__file__), "report"), "result_log")
    log_path = os.path.join(log_dir, log_name)
    file_handler = logging.FileHandler(log_path, mode="a", encoding="utf-8")
    log_format = logging.Formatter("%(asctime)s - %(levelname)s: %(message)s")
    file_handler.setFormatter(log_format)
    logger.addHandler(file_handler)

    return logger
log = get_logs()

# def log_decorator(func_name):
#     @functools.wraps(func_name)
#     def inner(*arg,**kwargs):
#         try:
#             log.info(f"执行的功能名称为：{func_name.__name__}, 功能所在的文件为：")